aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/patches/debug_web.sh
diff options
context:
space:
mode:
authorSimon Brandhof <simon.brandhof@sonarsource.com>2017-11-17 21:15:30 +0100
committerSimon Brandhof <simon.brandhof@sonarsource.com>2017-11-17 21:18:43 +0100
commitda112ac51de57fa8b4684eb13d1eebd555a4a593 (patch)
tree34e0e9e64100429d10174a8c0674415a8dfe9e50 /scripts/patches/debug_web.sh
parentd7016491fb4bd7d1c19ba36499649ad6a6d6da8e (diff)
downloadsonarqube-da112ac51de57fa8b4684eb13d1eebd555a4a593.tar.gz
sonarqube-da112ac51de57fa8b4684eb13d1eebd555a4a593.zip
Add development patches for start.sh
Diffstat (limited to 'scripts/patches/debug_web.sh')
-rwxr-xr-xscripts/patches/debug_web.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/scripts/patches/debug_web.sh b/scripts/patches/debug_web.sh
new file mode 100755
index 00000000000..831a6dd5b17
--- /dev/null
+++ b/scripts/patches/debug_web.sh
@@ -0,0 +1,8 @@
+set -euo pipefail
+
+source scripts/property_utils.sh
+
+SQ_HOME=$1
+
+echo "enabling debug on web server, listening on port 5005"
+set_property sonar.web.javaAdditionalOpts -agentlib:jdwp=transport=dt_socket,server=y,suspend=n,address=5005 $SQ_HOME/conf/sonar.properties